package com.hzya.frame.sysnew.integtationTaskLog.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 集成任务-实例详情(IntegrationTaskLog)实体类
 *
 * @author makejava
 * @since 2024-05-06 15:37:55
 */
public class IntegrationTaskLogEntity extends BaseEntity {
 
  /**  集成任务-实例_id */
   private String taskLinvingId;
  /**  integration_task_id */
   private String taskId;
  /**  任务编码 */
   private String taskCode;
  /**  任务名称 */
   private String taskName;
  /**  任务状态1、执行中2、执行成功 3、执行失败 4\当前任务已停止*/
   private String taskStatus;
  /**  当前任务开始时间 */
   private Date startTime;
  /**  结束时间 */
   private Date endTime;
  /**  耗时 */
   private String diffTime;
  /**  公司id */
   private String companyId;
  /**  备注 */
   private String remark;


    public String getTaskLinvingId() {
        return taskLinvingId;
    }

    public void setTaskLinvingId(String taskLinvingId) {
        this.taskLinvingId = taskLinvingId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskCode() {
        return taskCode;
    }

    public void setTaskCode(String taskCode) {
        this.taskCode = taskCode;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getDiffTime() {
        return diffTime;
    }

    public void setDiffTime(String diffTime) {
        this.diffTime = diffTime;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}

